Debian Bug report logs - #568477
Please update to latest upstream version with udev support

version graph

Package: system-config-printer; Maintainer for system-config-printer is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for system-config-printer is src:system-config-printer.

Reported by: Michael Biebl <biebl@debian.org>

Date: Fri, 5 Feb 2010 01:42:01 UTC

Severity: normal

Found in version system-config-printer/1.0.0-6

Fixed in versions system-config-printer/1.2.3-0.1, system-config-printer/1.2.3-0.3

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Fri, 05 Feb 2010 01:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Otavio Salvador <otavio@debian.org>. (Fri, 05 Feb 2010 01:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please update to latest upstream version with udev support
Date: Fri, 05 Feb 2010 02:41:16 +0100
Package: system-config-printer
Version: 1.0.0-6
Severity: normal

Hi,

hal-cups-utils is installed in a default GNOME install which drags in
hal as dependency. Please consider updating system-config-printer to the
latest upstream version which obsoletes and replaces hal-cups-utils by
providing udev rules and callouts.
Ubuntu has packaged this as system-config-printer-udev, which
conflicts/replaces hal-cups-utils, so this would need coordination with
the hal-cups-utils package maintainer.


Cheers,
Michael

[1] http://wiki.debian.org/HALRemoval

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.33-rc6 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages system-config-printer depends on:
ii  gksu                       2.0.2-2+b1    graphical frontend to su
ii  gnome-icon-theme           2.28.0-1      GNOME Desktop icon theme
ii  python                     2.5.4-9       An interactive high-level object-o
ii  python-cups                1.9.31-1.1+b1 Python bindings for CUPS
ii  python-cupsutils           1.0.0-6       Python utility modules around the 
ii  python-dbus                0.83.0-1+b1   simple interprocess messaging syst
ii  python-glade2              2.16.0-2      GTK+ bindings: Glade support
ii  python-gnome2              2.28.0-2      Python bindings for the GNOME desk
ii  python-gtk2                2.16.0-2      Python bindings for the GTK+ widge
ii  python-notify              0.1.1-2+b1    Python bindings for libnotify
ii  python-support             1.0.6         automated rebuilding support for P

Versions of packages system-config-printer recommends:
ii  hal-cups-utils                0.6.16-3   Utilities to detect and configure 
ii  synaptic                      0.63       Graphical package manager

system-config-printer suggests no packages.

-- no debconf information




Message sent on to Michael Biebl <biebl@debian.org>:
Bug#568477. (Wed, 28 Jul 2010 10:33:08 GMT) Full text and rfc822 format available.

Message #8 received at 568477-submitter@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 581511@bugs.debian.org
Cc: 568477-submitter@bugs.debian.org
Subject: Re: Bug#581511: also needed for cups-pk-helper support
Date: Wed, 28 Jul 2010 12:32:28 +0200
Hi Joss,
On Fri, Jul 23, 2010 at 03:19:08PM +0200, Josselin Mouette wrote:
> Le vendredi 23 juillet 2010 à 14:57 +0200, Guido Günther a écrit :
> > A new upstream version is also needed to support cups-pk-helper. This
> > makes is possible to have finer grained actions using policy kit.
> 
> I don’t have a printer anymore so I will probably not work on
> system-config-printer before the squeeze release.
> 
> Help is welcome.

I've updated the package at:

    http://git.debian.org/?p=users/agx/system-config-printer.git;a=summary

and it works here. These are the patches I'm unsure what to do with:

- 04_jobsheets_traceback.patch 
  I'm not seeing any pronlems with jobsheets here so I'd rather drop
  that one for now.
- 08_stock_icons.patch 
  I'm unclear what's the intention of this one
- 17_new_printer_notification.patch 
  Same for this one
- 18_debian_packages.patch 
  Partially merged into 0003-Adjust-package-names.patch, needs more work
  to get package installations working again.

Could you comment on them?  I'd be happy to do an upload to experimental
so more people can test this easily.
Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Wed, 28 Jul 2010 11:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Wed, 28 Jul 2010 11:36:07 GMT) Full text and rfc822 format available.

Message #13 received at 568477@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Guido Günther <agx@sigxcpu.org>, 568477@bugs.debian.org
Cc: 581511@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Wed, 28 Jul 2010 13:33:23 +0200
[Message part 1 (text/plain, inline)]
Hi Guido,

thanks for working on this.

On 28.07.2010 12:32, Guido Günther wrote:
> Hi Joss,
> On Fri, Jul 23, 2010 at 03:19:08PM +0200, Josselin Mouette wrote:
>> Le vendredi 23 juillet 2010 à 14:57 +0200, Guido Günther a écrit :
>>> A new upstream version is also needed to support cups-pk-helper. This
>>> makes is possible to have finer grained actions using policy kit.
>>
>> I don’t have a printer anymore so I will probably not work on
>> system-config-printer before the squeeze release.
>>
>> Help is welcome.
> 
> I've updated the package at:
> 
>     http://git.debian.org/?p=users/agx/system-config-printer.git;a=summary
> 
> and it works here.

A few comments/suggestions:
- Build-Depends on quilt can/should be dropped.

- libudev-dev Build-Depends is linux only [linux-any].
- system-config-printer-udev should be Architecture: linux-any
- hal-cups-utils should probably depend on system-config-printer-udev
[linux-any]. Does system-config-printer have a fallback for non-udev systems?

What happens to the original hal-cups-utils source package? Does it make sense
to keep it around for non-linux systems?

The general question here is, how to handle kbsd/hurd

- seems debian/control and debian/control.in are out-of-sync
- long package description of hal-cups-utils: the "." should be indented with
one white space, not two.
- changelog: "Conflict on hal-cups-utils since system-config-printer- udev
provides" should probably be
"Conflict with hal-cups-utils since system-config-printer-udev provides"

- Should the package be split in GUI + core, i.e. move the GNOME bits in a
system-config-printer-gnome package?
Is system-config-printer-kde actually usable without system-config-printer
installed? If not, it would need a dependency on GNOME bits.

- I'm not a python packager, but the python bits are installed as
/usr/lib/python2.6/site-packages/cupshelpers/*.
Shouldn't the python-cupsutils package be renamed to python-cupshelpers?

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Wed, 28 Jul 2010 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Wed, 28 Jul 2010 14:12:03 GMT) Full text and rfc822 format available.

Message #18 received at 568477@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Michael Biebl <biebl@debian.org>, 568477@bugs.debian.org
Cc: 581511@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Wed, 28 Jul 2010 16:08:17 +0200
On Wed, Jul 28, 2010 at 01:33:23PM +0200, Michael Biebl wrote:
> Hi Guido,
> 
> A few comments/suggestions:
> - Build-Depends on quilt can/should be dropped.
Done.

> - libudev-dev Build-Depends is linux only [linux-any].
> - system-config-printer-udev should be Architecture: linux-any
> - hal-cups-utils should probably depend on system-config-printer-udev
> [linux-any]. Does system-config-printer have a fallback for non-udev systems?
> 
> What happens to the original hal-cups-utils source package? Does it make sense
> to keep it around for non-linux systems?


> The general question here is, how to handle kbsd/hurd
We could make the transitional hal-cups-utils package [linux-any] too so
kfreebsd/hurd can keep the real implementation, if wanted.

> - seems debian/control and debian/control.in are out-of-sync
I keep on editing debian/control directly. Fixed now.

> - long package description of hal-cups-utils: the "." should be indented with
> one white space, not two.
Copy paste error, fixed.

> - changelog: "Conflict on hal-cups-utils since system-config-printer- udev
> provides" should probably be
> "Conflict with hal-cups-utils since system-config-printer-udev provides"
Fixed.

> - Should the package be split in GUI + core, i.e. move the GNOME bits in a
> system-config-printer-gnome package?
> Is system-config-printer-kde actually usable without system-config-printer
> installed? If not, it would need a dependency on GNOME bits.
It'd like to see this happen but I figure having the current version in
experimental will make it easier for the KDE team to figure out which
parts they need. We can make the split afterwards.

> - I'm not a python packager, but the python bits are installed as
> /usr/lib/python2.6/site-packages/cupshelpers/*.
> Shouldn't the python-cupsutils package be renamed to python-cupshelpers?
Think so. But we can make the renaming with system-config-printer ->
sytem-config-printer-gnome in one go.

Thanks a lot for your feedback,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Wed, 28 Jul 2010 14:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Wed, 28 Jul 2010 14:42:03 GMT) Full text and rfc822 format available.

Message #23 received at 568477@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Guido Günther <agx@sigxcpu.org>
Cc: 568477@bugs.debian.org, 581511@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Wed, 28 Jul 2010 16:38:32 +0200
[Message part 1 (text/plain, inline)]
On 28.07.2010 16:08, Guido Günther wrote:
> On Wed, Jul 28, 2010 at 01:33:23PM +0200, Michael Biebl wrote:

>> - Should the package be split in GUI + core, i.e. move the GNOME bits in a
>> system-config-printer-gnome package?
>> Is system-config-printer-kde actually usable without system-config-printer
>> installed? If not, it would need a dependency on GNOME bits.
> It'd like to see this happen but I figure having the current version in
> experimental will make it easier for the KDE team to figure out which
> parts they need. We can make the split afterwards.
> 
>> - I'm not a python packager, but the python bits are installed as
>> /usr/lib/python2.6/site-packages/cupshelpers/*.
>> Shouldn't the python-cupsutils package be renamed to python-cupshelpers?
> Think so. But we can make the renaming with system-config-printer ->
> sytem-config-printer-gnome in one go.
> 

See Jonathan's comment at [1] what is required by system-config-printer-kde, so
I'd say we can/should do the split and the renaming in one go.

As for the split, I created a wiki page [2] which contains all files installed
by s-c-p. Will add Jonathans comments there. Feel free to add any comments yourself.

Joss, I'm particular interested in your comment on this matter.

Cheers,
Michael

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=581511#40
[2] http://wiki.debian.org/system-config-printer
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Thu, 29 Jul 2010 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Thu, 29 Jul 2010 09:21:03 GMT) Full text and rfc822 format available.

Message #28 received at 568477@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Michael Biebl <biebl@debian.org>, 568477@bugs.debian.org
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Thu, 29 Jul 2010 11:18:14 +0200
On Wed, Jul 28, 2010 at 04:08:17PM +0200, Guido Günther wrote:
[..snip..] 
> > - I'm not a python packager, but the python bits are installed as
> > /usr/lib/python2.6/site-packages/cupshelpers/*.
> > Shouldn't the python-cupsutils package be renamed to python-cupshelpers?
> Think so. But we can make the renaming with system-config-printer ->
> sytem-config-printer-gnome in one go.

I've renamed python-cupsutils to python-cupshelpers so I think we're
good for an upload to experimental.
Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Thu, 29 Jul 2010 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 568477@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Thu, 29 Jul 2010 10:06:03 GMT) Full text and rfc822 format available.

Message #33 received at 568477@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Guido Günther <agx@sigxcpu.org>, 568477@bugs.debian.org
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Thu, 29 Jul 2010 12:02:17 +0200
Le jeudi 29 juillet 2010 à 11:18 +0200, Guido Günther a écrit :
> On Wed, Jul 28, 2010 at 04:08:17PM +0200, Guido Günther wrote:
> [..snip..] 
> > > - I'm not a python packager, but the python bits are installed as
> > > /usr/lib/python2.6/site-packages/cupshelpers/*.
> > > Shouldn't the python-cupsutils package be renamed to python-cupshelpers?
> > Think so. But we can make the renaming with system-config-printer ->
> > sytem-config-printer-gnome in one go.
> 
> I've renamed python-cupsutils to python-cupshelpers so I think we're
> good for an upload to experimental.

You should remove python-cupsutils entirely, unless you have made sure
that the same API is provided.

The same can be said about hal-cups-utils. Just add the conflict, and
we’ll replace it in the meta-gnome2 dependencies.

Cheers,
-- 
 .''`.
: :' :      “Fuck you sir, don’t be suprised when you die if
`. `'       you burn in Hell, because I am a solid Christian
  `-        and I am praying for you.”   --  Mike





Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Thu, 29 Jul 2010 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Thu, 29 Jul 2010 10:57:04 GMT) Full text and rfc822 format available.

Message #38 received at 568477@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 568477@bugs.debian.org
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Thu, 29 Jul 2010 12:53:32 +0200
On Thu, Jul 29, 2010 at 12:02:17PM +0200, Josselin Mouette wrote:
> Le jeudi 29 juillet 2010 à 11:18 +0200, Guido Günther a écrit :
> > On Wed, Jul 28, 2010 at 04:08:17PM +0200, Guido Günther wrote:
> > [..snip..] 
> > > > - I'm not a python packager, but the python bits are installed as
> > > > /usr/lib/python2.6/site-packages/cupshelpers/*.
> > > > Shouldn't the python-cupsutils package be renamed to python-cupshelpers?
> > > Think so. But we can make the renaming with system-config-printer ->
> > > sytem-config-printer-gnome in one go.
> > 
> > I've renamed python-cupsutils to python-cupshelpers so I think we're
> > good for an upload to experimental.
> 
> You should remove python-cupsutils entirely, unless you have made sure
> that the same API is provided.
> 
> The same can be said about hal-cups-utils. Just add the conflict, and
> we’ll replace it in the meta-gnome2 dependencies.
O.k. done.
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Fri, 30 Jul 2010 17:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Fri, 30 Jul 2010 17:27:06 GMT) Full text and rfc822 format available.

Message #43 received at 568477@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Michael Biebl <biebl@debian.org>, 568477@bugs.debian.org
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Fri, 30 Jul 2010 19:26:12 +0200
On Thu, Jul 29, 2010 at 11:18:14AM +0200, Guido Günther wrote:
> On Wed, Jul 28, 2010 at 04:08:17PM +0200, Guido Günther wrote:
> [..snip..] 
> > > - I'm not a python packager, but the python bits are installed as
> > > /usr/lib/python2.6/site-packages/cupshelpers/*.
> > > Shouldn't the python-cupsutils package be renamed to python-cupshelpers?
> > Think so. But we can make the renaming with system-config-printer ->
> > sytem-config-printer-gnome in one go.
> 
> I've renamed python-cupsutils to python-cupshelpers so I think we're
> good for an upload to experimental.
I've Uploaded a version to delayed/3.
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Fri, 30 Jul 2010 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Fri, 30 Jul 2010 18:18:03 GMT) Full text and rfc822 format available.

Message #48 received at 568477@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Guido Günther <agx@sigxcpu.org>
Cc: 568477@bugs.debian.org, Josselin Mouette <joss@debian.org>, Jonathan Riddell <jriddell@ubuntu.com>
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Fri, 30 Jul 2010 20:13:51 +0200
[Message part 1 (text/plain, inline)]
On 30.07.2010 19:26, Guido Günther wrote:
> On Thu, Jul 29, 2010 at 11:18:14AM +0200, Guido Günther wrote:
>> On Wed, Jul 28, 2010 at 04:08:17PM +0200, Guido Günther wrote:
>> [..snip..] 
>>>> - I'm not a python packager, but the python bits are installed as
>>>> /usr/lib/python2.6/site-packages/cupshelpers/*.
>>>> Shouldn't the python-cupsutils package be renamed to python-cupshelpers?
>>> Think so. But we can make the renaming with system-config-printer ->
>>> sytem-config-printer-gnome in one go.
>>
>> I've renamed python-cupsutils to python-cupshelpers so I think we're
>> good for an upload to experimental.
> I've Uploaded a version to delayed/3.

Thanks for your work on this.
Just wanted to add, that I successfully tested your packages. I was able to
add/delete/modify printers and a hotplugged printes was automatically setup
correctly.

Uploading 1.2.3-1 makes system-config-printer-kde uninstallable though.
So I guess we need to file an RC bug to get system-config-printer-kde updated
and determine how (and if) we are proceeding with the
system-config-printer-{common,gnome} split.

As already said, I don't have any experience with python (packaging), but I find
it a bit strange that system-config-printer-kde uses API from
/usr/share/system-config-printer/. Isn't that internal to s-c-p?

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Sat, 31 Jul 2010 11:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Sat, 31 Jul 2010 11:39:06 GMT) Full text and rfc822 format available.

Message #53 received at 568477@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Michael Biebl <biebl@debian.org>
Cc: 568477@bugs.debian.org, Josselin Mouette <joss@debian.org>, Jonathan Riddell <jriddell@ubuntu.com>
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Sat, 31 Jul 2010 13:34:48 +0200
Hi Michael,
On Fri, Jul 30, 2010 at 08:13:51PM +0200, Michael Biebl wrote:
> On 30.07.2010 19:26, Guido Günther wrote:
> > On Thu, Jul 29, 2010 at 11:18:14AM +0200, Guido Günther wrote:
> >> On Wed, Jul 28, 2010 at 04:08:17PM +0200, Guido Günther wrote:
> >> [..snip..] 
> >>>> - I'm not a python packager, but the python bits are installed as
> >>>> /usr/lib/python2.6/site-packages/cupshelpers/*.
> >>>> Shouldn't the python-cupsutils package be renamed to python-cupshelpers?
> >>> Think so. But we can make the renaming with system-config-printer ->
> >>> sytem-config-printer-gnome in one go.
> >>
> >> I've renamed python-cupsutils to python-cupshelpers so I think we're
> >> good for an upload to experimental.
> > I've Uploaded a version to delayed/3.
> 
> Thanks for your work on this.
> Just wanted to add, that I successfully tested your packages. I was able to
> add/delete/modify printers and a hotplugged printes was automatically setup
> correctly.
Great! Thanks a lot for your testing.

> Uploading 1.2.3-1 makes system-config-printer-kde uninstallable though.
> So I guess we need to file an RC bug to get system-config-printer-kde updated
> and determine how (and if) we are proceeding with the
> system-config-printer-{common,gnome} split.
I've contacted the submitter of #525714 but didn't get a reply so far.
Since the upload is targeted at experimental we can sort that out before
uploading to unstable. I'll file a bug against system-config-printer-kde
once the upload hit experimental.

> As already said, I don't have any experience with python (packaging), but I find
> it a bit strange that system-config-printer-kde uses API from
> /usr/share/system-config-printer/. Isn't that internal to s-c-p?
Looking at the system-config-printer-kde source it seems the only parts
that are needed are from cusphelpers so this might turn out as a non
issue after all.
Cheers,
 -- Guido




Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Sat, 31 Jul 2010 11:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Sat, 31 Jul 2010 11:57:06 GMT) Full text and rfc822 format available.

Message #58 received at 568477@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Guido Günther <agx@sigxcpu.org>
Cc: 568477@bugs.debian.org, Josselin Mouette <joss@debian.org>, Jonathan Riddell <jriddell@ubuntu.com>
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Sat, 31 Jul 2010 13:53:10 +0200
[Message part 1 (text/plain, inline)]
On 31.07.2010 13:34, Guido Günther wrote:
> On Fri, Jul 30, 2010 at 08:13:51PM +0200, Michael Biebl wrote:
>> As already said, I don't have any experience with python (packaging), but I find
>> it a bit strange that system-config-printer-kde uses API from
>> /usr/share/system-config-printer/. Isn't that internal to s-c-p?
> Looking at the system-config-printer-kde source it seems the only parts
> that are needed are from cusphelpers so this might turn out as a non
> issue after all.

Are you sure you are not looking at the patched sources of kdeadmin (see
01_system_config_printer_kde_cupsutils.diff)?

I found the following in system-config-printer-kde.py:

> #load modules from system-config-printer-common (debug, smburi), change path here if you have it installed elsewhere
> SYSTEM_CONFIG_PRINTER_DIR = "/usr/share/system-config-printer"
> if os.path.exists(SYSTEM_CONFIG_PRINTER_DIR + "/debug.py"):
>     sys.path.append(SYSTEM_CONFIG_PRINTER_DIR)
> 
> ...
> # These come from system-config-printer
> import config
> import cupshelpers, options
> from optionwidgets import OptionWidget
> from smburi import SMBURI
> from debug import *

An alternative solution to splitting s-c-p could be, to move the necessary
classes into python-cupshelpers. TBH I dunno which solution is better/cleaner.

Michael



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Otavio Salvador <otavio@debian.org>:
Bug#568477; Package system-config-printer. (Sun, 01 Aug 2010 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Otavio Salvador <otavio@debian.org>. (Sun, 01 Aug 2010 10:09:03 GMT) Full text and rfc822 format available.

Message #63 received at 568477@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: Guido Günther <agx@sigxcpu.org>, 568477@bugs.debian.org, Jonathan Riddell <jriddell@ubuntu.com>
Subject: Re: Bug#568477: Bug#581511: also needed for cups-pk-helper support
Date: Sun, 01 Aug 2010 12:04:26 +0200
[Message part 1 (text/plain, inline)]
Le samedi 31 juillet 2010 à 13:53 +0200, Michael Biebl a écrit :
> > # These come from system-config-printer
> > import config
> > import cupshelpers, options
> > from optionwidgets import OptionWidget
> > from smburi import SMBURI
> > from debug import *
> 
> An alternative solution to splitting s-c-p could be, to move the necessary
> classes into python-cupshelpers. TBH I dunno which solution is better/cleaner.

IMO the clean solution is to let s-c-p-kde only rely on public
interfaces and to put all these interfaces in the public cupshelpers
namespace and in the python-cupshelpers package.

-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 02 Aug 2010 20:06:10 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Thu, 05 Aug 2010 15:21:17 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Thu, 05 Aug 2010 15:21:17 GMT) Full text and rfc822 format available.

Message #70 received at 568477-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 568477-close@bugs.debian.org
Subject: Bug#568477: fixed in system-config-printer 1.2.3-0.1
Date: Thu, 05 Aug 2010 15:17:17 +0000
Source: system-config-printer
Source-Version: 1.2.3-0.1

We believe that the bug you reported is fixed in the latest version of
system-config-printer, which is due to be installed in the Debian FTP archive:

python-cupshelpers_1.2.3-0.1_all.deb
  to main/s/system-config-printer/python-cupshelpers_1.2.3-0.1_all.deb
system-config-printer-udev_1.2.3-0.1_i386.deb
  to main/s/system-config-printer/system-config-printer-udev_1.2.3-0.1_i386.deb
system-config-printer_1.2.3-0.1.debian.tar.gz
  to main/s/system-config-printer/system-config-printer_1.2.3-0.1.debian.tar.gz
system-config-printer_1.2.3-0.1.dsc
  to main/s/system-config-printer/system-config-printer_1.2.3-0.1.dsc
system-config-printer_1.2.3-0.1_all.deb
  to main/s/system-config-printer/system-config-printer_1.2.3-0.1_all.deb
system-config-printer_1.2.3.orig.tar.bz2
  to main/s/system-config-printer/system-config-printer_1.2.3.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568477@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated system-config-printer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Jul 2010 12:22:57 +0200
Source: system-config-printer
Binary: system-config-printer python-cupshelpers system-config-printer-udev
Architecture: source all i386
Version: 1.2.3-0.1
Distribution: experimental
Urgency: low
Maintainer: Otavio Salvador <otavio@debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 python-cupshelpers - Python utility modules around the CUPS printing system
 system-config-printer - graphical interface to configure the printing system
 system-config-printer-udev - Utilities to detect and configure printers automatically
Closes: 49333 469587 479829 499284 568477 574636 581511 590571
Changes: 
 system-config-printer (1.2.3-0.1) experimental; urgency=low
 .
   * Non-maintainer upload.
   * New Upstream version 1.2.3 (Closes: #49333)
         - No deprecation warnings (Closes: #574636)
         - Uses udev instead of hal (Closes: #568477, #581511)
         - uses PolicyKit (Closes: #499284)
   * Conflict on hal-cups-utils since system-config-printer-udev provides this
     functionality now.
   * Use cups-pk-helper instead of gksu (Closes: #469587, #479829)
   * Move package to section gnome. (Closes: #590571)
   * Rename python-cupsutils to python-cupshelpers
   * Switch to 3.0 (quilt) format
   * Bump standard version to 3.9.1
   * New patches:
        - 0002-Disable-firewall-checks.patch. Disable RH specific firewall
          checks
        - 0003-Adjust-package-names.patch. Adjust package names to match the
          Debian ones
        - 0004-Fix-blacklist-name.patch. Fix blacklist name
        - 0007-Use-our-custom-cpk-install-package-name.patch use packagekit
          when available
   * Updated patches:
        - 0001-Adjust-python-paths.patch
          0005-Revert-to-the-correct-menu-category.patch
          0006-Don-t-blindly-listen-to-any-signal.patch
   * Dropped pachtes:
       - 01_no_rhpl: fixed upstream.
       - 02_translations: upstream translation updates seem to include these
       - 03_elementtree: not needed anymore.
       - 04_jobsheets_traceback.patch: fixed upstream
       - 08_stock_icons.patch: fixed upstream
       - 11_use_gksu.patch: gksu replaced by PolicyKit
       - 12_remove_redhat: fixed upstream.
       - 15_close_shortcut.patch: close is more consistent with other applets
       - 17_new_printer_notification.patch: fixed upstream, applet gets the new
         printer notifications
       - 19_dbus_interfaces.patch: fixed upstream
       - 31_browse_hang: code changed
       - 32_pycups_traceback.patch: fixed upstream
       - 30_install_traceback.patch: fixed upstream
       - 33_dont_strip_Printer.patch: code changed
Checksums-Sha1: 
 c56ff15745708403956582944a679855f6061cdc 1499 system-config-printer_1.2.3-0.1.dsc
 a4fa442bd944c9375bab1255f6bf09884fd251e0 1070814 system-config-printer_1.2.3.orig.tar.bz2
 34b1ef562d033090a2a8897f2eb45b32e514141e 9488 system-config-printer_1.2.3-0.1.debian.tar.gz
 32f7d50378dc5d9e029066b576ddae6a12ea4432 1127338 system-config-printer_1.2.3-0.1_all.deb
 750a39b75a28bf6f3d637a9e90050ecba8cdedd5 61348 python-cupshelpers_1.2.3-0.1_all.deb
 6a60f3c403c49145ca8454c431777bcd44e23428 52808 system-config-printer-udev_1.2.3-0.1_i386.deb
Checksums-Sha256: 
 7675172c3862982c72ecbccd12ba4385fedc4dfa7ebc3b66067ffde2e45b3079 1499 system-config-printer_1.2.3-0.1.dsc
 2061ddf55b5ca6d3c6b2e8fa0d790535a683d36a55aaa96e066255d604880006 1070814 system-config-printer_1.2.3.orig.tar.bz2
 70085237ec615ec076a703911fba423b7f94e5f765809e448ac193a90d9a6bff 9488 system-config-printer_1.2.3-0.1.debian.tar.gz
 4832b35d30e44153047487ce503925b1773f93dce04e2a3c71f0da7ee1f81433 1127338 system-config-printer_1.2.3-0.1_all.deb
 3ed557d12adff65a63cc0927102d476875227a1919c389e3a8e47dcc8d164754 61348 python-cupshelpers_1.2.3-0.1_all.deb
 ebedd385a9810200959077e4215ef5cda95be632b2f84d77596e25c5dc581192 52808 system-config-printer-udev_1.2.3-0.1_i386.deb
Files: 
 69c7a279d5f28289204d701c5568692e 1499 gnome optional system-config-printer_1.2.3-0.1.dsc
 389375a3f641a2976a777885e4123674 1070814 gnome optional system-config-printer_1.2.3.orig.tar.bz2
 d7c43de1783588dd33ab8a63fe901d5b 9488 gnome optional system-config-printer_1.2.3-0.1.debian.tar.gz
 a137004ddb190a3b687bc0fa7a1ff277 1127338 gnome optional system-config-printer_1.2.3-0.1_all.deb
 c8691c11cd0fd4cfbca01f5b2ff700ca 61348 python optional python-cupshelpers_1.2.3-0.1_all.deb
 be30156b70c2252470061c04af35d4c2 52808 gnome optional system-config-printer-udev_1.2.3-0.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMUwr+n88szT8+ZCYRAkCJAJ9z2exGUfd4J1YSGxO5jQay0gL5bACfZtHC
W98va75cVkxu2S5vz15tzrc=
=Egg/
-----END PGP SIGNATURE-----





Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Mon, 23 Aug 2010 16:51:13 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Mon, 23 Aug 2010 16:51:13 GMT) Full text and rfc822 format available.

Message #75 received at 568477-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 568477-close@bugs.debian.org
Subject: Bug#568477: fixed in system-config-printer 1.2.3-0.3
Date: Mon, 23 Aug 2010 16:47:37 +0000
Source: system-config-printer
Source-Version: 1.2.3-0.3

We believe that the bug you reported is fixed in the latest version of
system-config-printer, which is due to be installed in the Debian FTP archive:

python-cupshelpers_1.2.3-0.3_all.deb
  to main/s/system-config-printer/python-cupshelpers_1.2.3-0.3_all.deb
system-config-printer-udev_1.2.3-0.3_i386.deb
  to main/s/system-config-printer/system-config-printer-udev_1.2.3-0.3_i386.deb
system-config-printer_1.2.3-0.3.debian.tar.gz
  to main/s/system-config-printer/system-config-printer_1.2.3-0.3.debian.tar.gz
system-config-printer_1.2.3-0.3.dsc
  to main/s/system-config-printer/system-config-printer_1.2.3-0.3.dsc
system-config-printer_1.2.3-0.3_all.deb
  to main/s/system-config-printer/system-config-printer_1.2.3-0.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568477@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated system-config-printer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 Aug 2010 17:49:59 +0200
Source: system-config-printer
Binary: system-config-printer python-cupshelpers system-config-printer-udev
Architecture: source all i386
Version: 1.2.3-0.3
Distribution: unstable
Urgency: low
Maintainer: Otavio Salvador <otavio@debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 python-cupshelpers - Python utility modules around the CUPS printing system
 system-config-printer - graphical interface to configure the printing system
 system-config-printer-udev - Utilities to detect and configure printers automatically
Closes: 49333 469587 479829 499284 525714 568477 574636 581511 590571
Changes: 
 system-config-printer (1.2.3-0.3) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Upload to unstable.
 .
 system-config-printer (1.2.3-0.2) experimental; urgency=low
 .
   * Non-maintainer upload.
   * Install debug.py and smburi.py in the cupshelpers package
     (Closes: #525714)
 .
 system-config-printer (1.2.3-0.1) experimental; urgency=low
 .
   * Non-maintainer upload.
   * New Upstream version 1.2.3 (Closes: #49333)
         - No deprecation warnings (Closes: #574636)
         - Uses udev instead of hal (Closes: #568477, #581511)
         - uses PolicyKit (Closes: #499284)
   * Conflict on hal-cups-utils since system-config-printer-udev provides this
     functionality now.
   * Use cups-pk-helper instead of gksu (Closes: #469587, #479829)
   * Move package to section gnome. (Closes: #590571)
   * Rename python-cupsutils to python-cupshelpers
   * Switch to 3.0 (quilt) format
   * Bump standard version to 3.9.1
   * New patches:
        - 0002-Disable-firewall-checks.patch. Disable RH specific firewall
          checks
        - 0003-Adjust-package-names.patch. Adjust package names to match the
          Debian ones
        - 0004-Fix-blacklist-name.patch. Fix blacklist name
        - 0007-Use-our-custom-cpk-install-package-name.patch use packagekit
          when available
   * Updated patches:
        - 0001-Adjust-python-paths.patch
          0005-Revert-to-the-correct-menu-category.patch
          0006-Don-t-blindly-listen-to-any-signal.patch
   * Dropped pachtes:
       - 01_no_rhpl: fixed upstream.
       - 02_translations: upstream translation updates seem to include these
       - 03_elementtree: not needed anymore.
       - 04_jobsheets_traceback.patch: fixed upstream
       - 08_stock_icons.patch: fixed upstream
       - 11_use_gksu.patch: gksu replaced by PolicyKit
       - 12_remove_redhat: fixed upstream.
       - 15_close_shortcut.patch: close is more consistent with other applets
       - 17_new_printer_notification.patch: fixed upstream, applet gets the new
         printer notifications
       - 19_dbus_interfaces.patch: fixed upstream
       - 31_browse_hang: code changed
       - 32_pycups_traceback.patch: fixed upstream
       - 30_install_traceback.patch: fixed upstream
       - 33_dont_strip_Printer.patch: code changed
Checksums-Sha1: 
 fd827c2770527ce7a2ee493eca2e1c9ff602893f 1499 system-config-printer_1.2.3-0.3.dsc
 173f21b31313c0161955bfbfe416048ef4162540 9847 system-config-printer_1.2.3-0.3.debian.tar.gz
 7ef5de6a89a3a6239ebf9f73b5ef8be0a167905c 1127256 system-config-printer_1.2.3-0.3_all.deb
 9623515c8db9f8b9fb071c031d38b79c4e866705 62470 python-cupshelpers_1.2.3-0.3_all.deb
 30646dbda865e6ba9fa2752f87f088a201512295 52896 system-config-printer-udev_1.2.3-0.3_i386.deb
Checksums-Sha256: 
 fc8422c3c0ab7a8cf0615266ada2ce331c09a7a6453d2d214dec9095862b0cd6 1499 system-config-printer_1.2.3-0.3.dsc
 80b79c1a23d1a818b8ed19ae46b528fbf4516fc6caba00f51bdf607c8c1d4ec5 9847 system-config-printer_1.2.3-0.3.debian.tar.gz
 de6ed5a03ca0f6aedc2c0b895bc6d03e058b86325bbcfeeeb486a7fcb3119563 1127256 system-config-printer_1.2.3-0.3_all.deb
 fc08f1677fd954b2742eed43dedc2266ce89751787c6f8f46c1f30d5a63822ab 62470 python-cupshelpers_1.2.3-0.3_all.deb
 6405b5a50c40273d65c59d131006c4baef4b4c0e1dd99af4406a1bb95880e335 52896 system-config-printer-udev_1.2.3-0.3_i386.deb
Files: 
 9b8a4dd8b61e9bff2fa86d9f9826101e 1499 gnome optional system-config-printer_1.2.3-0.3.dsc
 1b421a1d50676fd730e35e5ec6673281 9847 gnome optional system-config-printer_1.2.3-0.3.debian.tar.gz
 ca96d8495cc2d8ad54dd09082864df27 1127256 gnome optional system-config-printer_1.2.3-0.3_all.deb
 46fea6f6e5e9c7563f9ba527bf88f8db 62470 python optional python-cupshelpers_1.2.3-0.3_all.deb
 7aff694cd9c5811f0a16cfdac41562d7 52896 gnome optional system-config-printer-udev_1.2.3-0.3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMb/z2n88szT8+ZCYRAjOHAJsGYWTcn/U3Q3YzQ5CWdAn522x9mACcD/a/
+KOiK0L8I2JCn4+bboOrhMk=
=PRlz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Sep 2010 07:34:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:45:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.